      SUBROUTINE SETSIG (CI, SI, DEL, SL, CL, RPI)
      DIMENSION CI( 8 ), SI( 8 ),
     1 DEL( 7 ), SL( 7 ), CL( 7 ), RPI( 6 )
      WRITE(6,98)
98    FORMAT (1H0, 'BEGIN SETSIG')
      RRKK= 7
      DO 56 K=1, 7
      DEL(K)=1./RRKK
56    CONTINUE
      CI(1) = 0.
      DO 54 K=1, 7
54    CI(K+1)=CI(K)+DEL(K)
      CI( 8 )=1.
      RK =  287.05  /  1005.
      RK1 = RK + 1.
      LEVS= 7
      DO 1 LI=1, 8
1     SI(LI) = 1. - CI(LI)
      DO 3 LE=1, 7
      DIF = SI(LE)**RK1 - SI(LE+1)**RK1
      DIF = DIF / (RK1*(SI(LE)-SI(LE+1)))
      SL(LE) = DIF**(1./RK)
      CL(LE) = 1. - SL(LE)
3     CONTINUE
C     COMPUTE PI RATIOS FOR TEMP. MATRIX.
      DO 4 LE=1, 6
4     RPI(LE) = (SL(LE+1)/SL(LE))**RK
      DO 5 LE=1, 8
      WRITE(6,100) LE, CI(LE), SI(LE)
100   FORMAT (1H , 'LEVEL=', I2, 2X, 'CI=', F6.3, 2X, 'SI=', F6.3)
5     CONTINUE
      WRITE(6,97)
97    FORMAT (1H0)
      DO 6 LE=1, 7
      WRITE(6,101) LE, CL(LE), SL(LE), DEL(LE)
101   FORMAT (1H , 'LAYER=', I2, 2X, 'CL=', F6.3, 2X, 'SL=', F6.3, 2X,
     1 'DEL=', F6.3)
6     CONTINUE
      WRITE(6,102) (RPI(LE), LE=1, 6 )
102   FORMAT (1H0, 'RPI=',  6 (F6.3,2X))
      WRITE(6,99)
99    FORMAT (1H0, 'END SETSIG')
C(DEBUGLINE) VERSION CREATED JULY 8 1982 BY J.SELA,NMC.
      RETURN
      END
